> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/knowledge-graph/interfaces/type.md).

# Type

An abstract parent of all types.

```graphql
interface Type {
  acronym: String
  color: String!
  createdBy: User
  createdOn: DateTime
  description: String
  icon: String
  id: UUID!
  modifiedBy: User
  modifiedOn: DateTime
  name: String!
  publicId: String!
  symbolType: String
  system: Boolean!
}
```

### Fields

#### acronym ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#acronym" id="acronym"></a>

The acronym of this type.

#### color ● [`String!`](/api/graphql/knowledge-graph/scalars/string.md) non-null scalar <a href="#color" id="color"></a>

The user interface color of this type.

#### createdBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#created-by" id="created-by"></a>

The user who created this resource.

#### createdOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#created-on" id="created-on"></a>

The creation date of this resource.

#### description ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#description" id="description"></a>

The description of this type.

#### icon ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#icon" id="icon"></a>

The user interface icon of this type.

#### id ● [`UUID!`](/api/graphql/knowledge-graph/scalars/uuid.md) non-null scalar <a href="#id" id="id"></a>

The universally unique identifier of this node.

#### modifiedBy ● [`User`](/api/graphql/knowledge-graph/object-types/user.md) object <a href="#modified-by" id="modified-by"></a>

The user who last modified this resource.

#### modifiedOn ● [`DateTime`](/api/graphql/knowledge-graph/scalars/date-time.md) scalar <a href="#modified-on" id="modified-on"></a>

The last modified date of this resource.

#### name ● [`String!`](/api/graphql/knowledge-graph/scalars/string.md) non-null scalar <a href="#name" id="name"></a>

The name of this type.

#### publicId ● [`String!`](/api/graphql/knowledge-graph/scalars/string.md) non-null scalar <a href="#public-id" id="public-id"></a>

The public identifier of this type.

#### symbolType ● [`String`](/api/graphql/knowledge-graph/scalars/string.md) scalar <a href="#symbol-type" id="symbol-type"></a>

#### system ● [`Boolean!`](/api/graphql/knowledge-graph/scalars/boolean.md) non-null scalar <a href="#system" id="system"></a>

Whether this resource is reserved by the system.

### Member Of

[`RelationType`](/api/graphql/knowledge-graph/object-types/relation-type.md) object

### Implemented By

[`AssetType`](/api/graphql/knowledge-graph/object-types/asset-type.md) object ● [`Trait`](/api/graphql/knowledge-graph/object-types/trait.md) object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/knowledge-graph/interfaces/type.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
